<?php

session_start();
require('../../Operaciones/Admin_operacion.php');
if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
}else {
	session_start();
	session_destroy();
	header('location: ../Salir.php');
}

require_once('../../Operaciones/Class_Fecha.php');
require_once('../../../fpdf/fpdf.php');
$Id_Reg=$_GET['Id_Reg'];
//class Sol_Oficio extends FPDF

class CartaOfic extends FPDF
{
// Page header

function Header()
{
	$this->SetFont('Arial','B',12);
	$this->SetXY(10,10);
	$this->Cell(190,8, utf8_decode('CARTA RESPONSIVA Y DE CONFIDENCIALIDAD USUARIO DEL SISTEMA'),0,0,'C');
	$this->SetXY(10,18);
	$this->Cell(190,8, utf8_decode('ESTATAL DE MONITOREO DE GUÍAS DE TRÁNSITO'),0,0,'C');
	$this->SetFont('Arial','B',10);
	$this->SetXY(10,37);
	$this->Cell(50,6,utf8_decode('MTRO. MANOLO GABRIEL DEL TORO VALDÉS') ,0,0,'L');
	$this->SetXY(10,42);
	$this->Cell(50,6,utf8_decode('PRESIDENTE DEL COMITÉ ESTATAL DE FOMENTO Y') ,0,0,'L');
	$this->SetXY(10,47);
	$this->Cell(50,6,utf8_decode('PROTECCIÓN PECUARIA DEL ESTADO DE HIDALGO A.C.') ,0,0,'L');
}

function Encabezado($Nombre,$Empresa, $Puesto, $Direcc, $Col, $DMpio, $Tel)
{
	$this->SetFont('Arial','',10);
	$this->SetXY(10,60);
	$this->MultiCell(190,5,utf8_decode('	El (la) C. '.$Nombre.', persona física mayor de edad, quien actualmente labora en '.$Empresa.' quien funge como '.$Puesto.', con domicilio particular en '.$Direcc.', colonia '.$Col.' municipio '.$DMpio.', con número telefónico '.$Tel.', confirmo que, con esta fecha, recibo nombre de usuario y contraseña para acceder al Sistema estatal de Monitoreo de Guías de Transito (SEMGT), por lo que me hago responsable del buen uso de las mismas en el entendido que éstas son personales e intransferibles, es decir, estoy consciente  de que bajo ningún concepto podré prestar mi usuario y contraseña a otra persona, ya que será mi entera responsabilidad el mal uso que les puedan dar a las mismas.'));
	$this->ln(4);
}
	
function Cuerpo(){
	$this->MultiCell(190,5,utf8_decode('Manifiesto que estoy consciente que derivado del acceso y de los trámites que llevaré a cabo relacionados con este sistema, tengo y tendré, acceso a información confidencial que incumbe exclusivamente al COMITÉ ESTATAL DE FOMENTO Y PROTECCIÓN PECUARIA DEL ESTADO DE HIDALGO A.C, y que su difusión puede tener efectos adversos a la misma en el cumplimiento de las actividades para lo que fue creada, en consecuencia, me comprometo a mantener su confidencialidad  y a no divulgar a otros, ni utilizar en beneficio propio o de terceros información derivada o relacionada con el sistema mencionado. '));
	$this->ln(4);
	$this->MultiCell(190,5,utf8_decode('Convengo desde este momento, de manera expresa, a guardar absoluta reserva de todos los datos que sean proporcionados por los productores, engordadores, acopiadores, comercializadores, y toda persona que por sus actividades necesite la expedición de un formato de guía de transito oficial para la movilización de animales, productos y subproductos de origen animal, obligándome a manejar responsablemente esta información y no hacer mal uso de la misma. '));
	$this->ln(4);
	$this->MultiCell(190,5,utf8_decode('Acepto que será mi obligación solicitar por oficio al Comité Estatal de Fomento y Protección Pecuaria del Estado de Hidalgo A.C.  la baja del usuario, así como la clave, al momento de ya no requerir el acceso, o que por otras cuestiones ya no exista alguna relación laboral dentro de la dependencia donde me encuentro actualmente laborando, en el entendido aún posterior a esta baja estaré obligado a mantener la confidencialidad de la información a la cual he tenido acceso, tal como memorias USB, correos electrónicos, archivos electrónicos etc. '));
	$this->ln(4);
	$this->MultiCell(190,5,utf8_decode('Así mismo me comprometo a mantener actualizado el sistema de forma periódica, con un máximo de 5 días después de la emisión de las mismas, realizando la carga del documento escaneado en formato PDF legible, y si existe una mala emisión ó desapego a la normativa aplicable vigente según la especie, podrá quedar inhabilitado tanto usuario como contraseña asignada; reconociendo y aceptando las consecuencias; así como las responsabilidades de cualquier uso o la revelación a terceros no autorizados, conozco las sanciones civiles y penales a las que puedo hacerme objeto con motivo del tratamiento indebido de la información, así como las responsabilidades que me pueden ser imputadas en los términos de la Ley Federal de Protección de Datos Personales en Posesión de particulares y cualquier otra normativa aplicable.  '));	
	$this->ln(10);
	$this->Cell(190,6,'Firma de conformidad',0,0,'C');
	$this->ln(10);
	$this->Cell(190,6,'_______________________________________',0,0,'C');
	$this->ln(4);
	$this->Cell(190,6,'Atentamente',0,0,'C');
}

}
// Instanciation of inherited class
$pdf = new CartaOfic();
$pdf->AddPage();
$Fecha_Hoy = new Fechas_Form(date('Y-m-d'));	
	$pdf->SetFont('Arial','B',12);
	$pdf->SetXY(110,30);
	$pdf->Cell(90,8,$Fecha_Hoy->Fecha_DMA(),0,0,'R');
$dato = new Admin_P();
$dato=$dato->UsrAut($Id_Reg);
$Nombre=$dato['Apellido_P']." ".$dato['Apellido_M']." ".$dato['Nombre'];
//$Empresa=($dato['Origen']==1 ? " la Presidencia Municipal de ".$dato['Mpio'] : "LA ASOCIACIÓN GANADERA LOCAL DE : " .$dato['Mpio']);
$Empresa=($dato['Institucion']==''? "LA ASOCIACIÓN GANADERA LOCAL DE : " .$dato['Mpio'] : $dato['Institucion'] );
$pdf->Encabezado(strtoupper($Nombre), strtoupper($Empresa), strtoupper($dato['Cargo']), strtoupper($dato['Direccion']), strtoupper($dato['Col']), strtoupper($dato['DMpio']), $dato['Telefono']);
$pdf->Cuerpo();

$pdf->Output();